package com.jsowell.pile.dto;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

@Getter
@Setter
public class CreateReservedDTO {
    /**
     * 会员id
     */
    private String memberId;

    /**
     * 充电桩编号
     */
    private String pileSn;

    /**
     * 充电桩枪口编号
     */
    private String pileConnectorCode;

    /**
     * 预约开始时间
     */
    private String startTime;

    /**
     * 预约结束时间
     */
    private String endTime;

    /**
     * 周期性预约的频率，对于单次预约，该字段可以为 NULL。可能的值包括 daily, weekly, monthly
     */
    private String freq;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("memberId", memberId)
                .append("pileSn", pileSn)
                .append("startTime", startTime)
                .append("endTime", endTime)
                .append("freq", freq)
                .toString();
    }
}
